Description

As reported: http://osgeo-org.1560.x6.nabble.com/Should-it-be-possible-to-use-GRASS-rasters-in-Sextante-td5048075.html

I'm working with QGIS sample data GRASS datset. Loaded the airports and   

gtopo30. I can select the airport layer in Sextante dialogs but not   

gtopo30.

Related issues:

Duplicated by QGIS Application - Bug report # 13408: Graphical Modeler Raster... Closed 2015-09-23

History

#1 - 2013-04-28 10:50 AM - Victor Olaya

- Status changed from Open to Feedback

This is a complex issue.

GRASS layers cannot be used in their native format by other apps like SAGA, OTB, etc. They have to be converted. But to convert a layer when its

needed, SEXTANTE uses GDAL. GDAL, however, does not support GRASS layers, so the only way of doing it is to load the layer into memory and then

write it to a GDAL-supported format. This will not work for large layers.

Finding a solution for all cases doesn't seem to be easy... I would like to think a bit more about this before adding a solutino that will not work in many

cases, which will make SEXTANTE unstable in case of using GRASS layers.

Ideas and comments are welcome

#2 - 2013-04-28 11:55 PM - Paolo Cavallini

This is why ``libgdal1-1.9.0-grass`` exists

#3 - 2014-06-19 08:18 AM - pvanbosgeo -

Any development on this?

#4 - 2014-10-04 12:08 PM - Giovanni Manghi

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to 2.4.0

- Category deleted (63)

- Project changed from 78 to QGIS Application
#5 - 2014-10-04 12:09 PM - Giovanni Manghi

- Category set to Processing/Core

#6 - 2014-10-12 10:28 AM - Giovanni Manghi

- Tracker changed from Bug report to Feature request

- Priority changed from High to Normal

- Subject changed from Can't use GRASS rasters to Support GRASS rasters as inputs in Processing

#7 - 2015-03-24 08:14 AM - Paolo Cavallini

Apparently, GRASS rasters are supported by GDAL:

gdalinfo --formats | grep -i grass

  GRASSASCIIGrid (rov): GRASS ASCII Grid

#8 - 2015-03-24 08:17 AM - Paolo Cavallini

So, it seems that GRASS rasters are simply filtered out. In this case, the fix would be trivial.

#9 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No
